Cyberduck Mountain Duck CLI

#3701 closed defect (worksforme)

Fails to parse Microsoft FTP directory listing

Reported by: ryaran@… Owned by: dkocher
Priority: normal Milestone: 3.8
Component: ftp Version: 3.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

In Cyberduck; <img src="http://img200.imageshack.us/img200/7141/ftp1.jpg" alt="Image Hosted by ImageShack.us"/><br/>Shot at 2009-09-11

In Fireftp <img src="http://img34.imageshack.us/img34/6059/ftp2.jpg" alt="Image Hosted by ImageShack.us"/><br/>Shot at 2009-09-11

Change History (7)

comment:1 Changed on Sep 11, 2009 at 9:30:58 AM by dkocher

  • Component changed from core to ftp

Please post the transcript from View → Log Drawer.

comment:2 Changed on Sep 11, 2009 at 11:30:53 AM by dkocher

  • Summary changed from Ghost Files in Cyberduck to Fails to parse Microsoft FTP directory listing
220 Microsoft FTP Service
USER ftp_rtl
331 Password required for ftp_rtl.
PASS ********
230 User ftp_rtl logged in.
CWD /
250 CWD command successful.
STAT /
213-status of /:
12-25-08  06:07PM       <DIR>          _private
12-25-08  06:07PM       <DIR>          _vti_log
12-26-08  06:49PM       <DIR>          aspnet_client
12-04-06  12:43PM                65335 fon1.kucuk.jpg
09-09-09  03:51PM       <DIR>          Ftp
09-25-07  03:15PM                 1421 index.htm
01-08-09  09:36AM       <DIR>          picture_library
12-26-08  06:49PM       <DIR>          users
12-04-06  03:11PM                37658 yapim.jpg
213 End of status.
FEAT
211-FEAT
  SIZE
  MDTM
211 END
PASV
227 Entering Passive Mode (84,51,18,105,14,177).
LIST -a
125 Data connection already open; Transfer starting.
12-25-08  06:07PM       <DIR>          _private
12-25-08  06:07PM       <DIR>          _vti_cnf
12-25-08  06:07PM       <DIR>          _vti_log
12-25-08  06:07PM       <DIR>          _vti_pvt
12-25-08  06:07PM       <DIR>          _vti_script
12-25-08  06:07PM       <DIR>          _vti_txt
12-26-08  06:49PM       <DIR>          aspnet_client
12-04-06  12:43PM                65335 fon1.kucuk.jpg
09-09-09  03:51PM       <DIR>          Ftp
09-25-07  03:15PM                 1421 index.htm
01-08-09  09:36AM       <DIR>          picture_library
11-13-08  05:27PM                 5632 Thumbs.db
12-26-08  06:49PM       <DIR>          users
12-04-06  03:11PM                37658 yapim.jpg
226 Transfer complete.
PASV
227 Entering Passive Mode (84,51,18,105,14,178).
LIST
125 Data connection already open; Transfer starting.
12-25-08  06:07PM       <DIR>          _private
12-25-08  06:07PM       <DIR>          _vti_log
12-26-08  06:49PM       <DIR>          aspnet_client
12-04-06  12:43PM                65335 fon1.kucuk.jpg
09-09-09  03:51PM       <DIR>          Ftp
09-25-07  03:15PM                 1421 index.htm
01-08-09  09:36AM       <DIR>          picture_library
12-26-08  06:49PM       <DIR>          users
12-04-06  03:11PM                37658 yapim.jpg
226 Transfer complete.

comment:3 Changed on Nov 19, 2010 at 5:30:03 PM by dkocher

  • Milestone set to 4.0
  • Resolution set to fixed
  • Status changed from new to closed

In r7672.

comment:4 Changed on Nov 20, 2010 at 11:18:44 AM by dkocher

Can you please post a current transcript that includes the response to SYST.

comment:5 Changed on Nov 28, 2010 at 3:52:54 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:6 Changed on Nov 28, 2010 at 4:22:16 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Reverted in r7791. Need response to SYST from the server.

comment:7 Changed on Dec 5, 2010 at 3:33:56 PM by dkocher

Assumption that SYST response is Windows_NT version 5.0 in r7925.

Note: See TracTickets for help on using tickets.
swiss made software